wkt: parse and stream WKT (Well-Known Text)

## Classes

struct | boost::geometry::read_wkt_exception
| Exception showing things wrong with WKT parsing. More...
class | boost::geometry::wkt_manipulator< Geometry >
| Generic geometry template manipulator class, takes corresponding output class from traits class. More...

## Functions

template<typename Geometry >
void | boost::geometry::read_wkt (std::string const &wkt, Geometry &geometry)
| Parses OGC Well-Known Text (WKT (Well-Known Text)) into a geometry (any geometry)
template<typename Geometry >
wkt_manipulator< Geometry > | boost::geometry::wkt (Geometry const &geometry)
| Main WKT-streaming function.

## Function Documentation

template<typename Geometry >

void boost::geometry::read_wkt | ( | std::string const & | wkt,
|  | Geometry & | geometry
| ) |  |

Parses OGC Well-Known Text (WKT (Well-Known Text)) into a geometry (any geometry)

Template Parameters:

  Geometry | Any type fulfilling a Geometry Concept

Parameters:

  wkt | string containing WKT (Well-Known Text)
  geometry | A model of the specified concept output geometry

Examples:
  06_b_transformation_example.cpp, 07_a_graph_route_example.cpp, 07_b_graph_route_example.cpp, and x03_b_soci_example.cpp.

template<typename Geometry >

wkt_manipulator<Geometry> boost::geometry::wkt | ( | Geometry const & | geometry | ) |

Main WKT-streaming function.

Template Parameters:

  Geometry | Any type fulfilling a Geometry Concept

Parameters:

  geometry | A model of the specified concept

Examples:
  01_point_example.cpp, and x03_b_soci_example.cpp.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK